Java
====

DeepSpeechModel
---------------

.. doxygenclass:: org::mozilla::deepspeech::libdeepspeech::DeepSpeechModel
   :project: deepspeech-java
   :members:

Metadata
--------

.. doxygenclass:: org::mozilla::deepspeech::libdeepspeech::Metadata
   :project: deepspeech-java
   :members: getNumTranscripts, getTranscript

CandidateTranscript
-------------------

.. doxygenclass:: org::mozilla::deepspeech::libdeepspeech::CandidateTranscript
   :project: deepspeech-java
   :members: getNumTokens, getConfidence, getToken

TokenMetadata
-------------
.. doxygenclass:: org::mozilla::deepspeech::libdeepspeech::TokenMetadata
   :project: deepspeech-java
   :members: getText, getTimestep, getStartTime
